Updates periods of unavailability to a person in the given account

This endpoint will only update the fields that are provided in the objects of the array. Any fields not included will use the existing values.
NOTE: Periods of unavailability cannot overlap with employment dates and cannot overlap with existing periods of unavailability.

NOTE: If you do not have Private Write permissions, you can update the start and end date of private periods of unavailability, but not the description or whether it's private.
Permissions
Person: Read
HourlyProfile: Read
Private: Write
Unavailabilities: Write
HourlyUnavailabilities: Write

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

The Account ID

int64
required

Id of the person to get unavailabilities for

Body Params

Array of objects containing id, description, startDate, endDate, and isPrivate

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

400

Bad Request: Example when wrong id passed in body
{

Example when new start date after end date or new end date before start date
{

Example when start and end date are outside employment dates
{

Example when start and end dates overlap with each other
{

401

Unauthorized

403

Forbidden

409

Conflict: Example when updated unavailabilities overlap with existing unavailabilities
{

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json